Reinforcement LShapeRebar/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Examplu: Crearea unei armături tip LShape rebar.")
(Updating to match new version of source page)
 
(30 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommandAddon|Name=Arch Rebar LShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_BentShape|Bent Shape Rebar]]}}


<div class="mw-translate-fuzzy">
{{docnav/ro
|[[Arch_Rebar_UShape/ro|UShape Rebar]]
|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]
|[[Arch_Workbench/ro|Arch]]
|IconL=Arch_Rebar_UShape.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_BentShape.svg
}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Arch Rebar LShape
|Name/ro=Arch Rebar LShape
|MenuLocation=Arch → Rebar tools
|Workbenches=[[Arch Workbench/ro|Arch]], [[BIM Workbench/ro|BIM]]
|SeeAlso=[[Arch_Rebar_BentShape/ro|Bent Rebar]], [[Arch Rebar/ro|Rebar]]
|Version=0.17
}}
</div>

<span id="Description"></span>
==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
The {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} tool allows user to create LShape reinforcing bar in the structural element.
Instrumentul {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} permite utilizatorului să creeze o armătură LShape reinforcing bar în elementele structurale.
</div>

This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].


[[Image:Arch_Rebar_LShape_example.png|400px]]
<div class="mw-translate-fuzzy">
[[Image:LShapeRebarNew.png|800px]]
[[Image:LShapeRebarNew.png|800px]]
</div>


<span id="Usage"></span>
== Cum se folosește ==
== Cum se folosește ==


<div class="mw-translate-fuzzy">
# Create a [[Arch Structure|structure]] element
# Create a [[Arch Structure|structure]] element
# Select any face of the structure
# Select any face of the structure
Line 21: Line 52:
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|Cancel}} to exit the task panel
# Click {{KEY|Cancel}} to exit the task panel
</div>


[[Image:LShapeDialog.png|250px]]
{{Caption|Task panel for the tool}}

<span id="Properties"></span>
==Proprietăți==
==Proprietăți==


* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
* {{PropertyData|Orientation}}: Stabilește orientarea armăturii (ca de ex jos, sus, dreapta și stânga).
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
* {{PropertyData|Front Cover}}: Distanța dintre armături și fațetele selectate.
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
* {{PropertyData|Right Cover}}: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
* {{PropertyData|Left Cover}}: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Bottom Cover}}: Distanța dintre armătură și fațeta de jos a structurii.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Top Cover}}: Distanța dintre armătură și fața superioară a structurii.
* {{PropertyData|Rounding}}: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
* {{PropertyData|Rounding}}: o valoarea a racordării de aplicat la colțutile barelor , exprimată în raport cu diametrul acestora.
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Amount}}: Cantitatea de armătură
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
* {{PropertyData|Spacing}}: Distanța dintre acele fiecărei bare.


<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>


{{Emphasis|See also:}} [[Arch_API|Arch API]], [[Reinforcement_API|Reinforcement API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<div class="mw-translate-fuzzy">
The {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
The {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
</div>


{{Code|code=
{{Code|code=
Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
structure=None, facename=None):
}}
}}

* The LShape Rebar have four different orientations:
<div class="mw-translate-fuzzy">
* O armătură tip LShape Rebar are patru orientări diferite:
** Bottom Right
** Bottom Right
** Bottom Left
** Bottom Left
** Top Right
** Top Right
** Top Left
** Top Left
* Adds a LShape reinforcing bar object to the given structural object.
* Adaugă obiectul LShape reinforcing bar la obiectul structural selectat.
* Dacă nu este dată nici o Structură și nici o Facename, ea va avea ca intrare fațeta selectat de utilizator.
* If no Structure and Facename is given, it will take user selected face as input.
* Here CoverAlong argument is having type tuple.
* Aici argumentul CoverAlong este de tip tuplă.
* Returns the new Rebar object.
* Returnează noul obiect Rebar.
</div>
Examplu:

Crearea unei armături tip LShape rebar.
=== Example ===

{{Code|code=
{{Code|code=
import Arch, LShapeRebar
import FreeCAD, Arch, LShapeRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
Structure = Arch.makeStructure(length=1000, width=1000, height=400)
structure.ViewObject.Transparency = 80
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = LShapeRebar.makeLShapeRebar(20, 20, 20, 20, 8, 20, 2, True, 10, "Bottom Left", structure, "Face1")
Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}

Changing properties of LShape rebar.
=== Edition of the rebar ===

You can change the properties of the rebar with the following function:

{{Code|code=
editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|LShapeRebar}} object.
* The other parameters are the same as required by the {{incode|makeLShapeRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

{{Code|code=
{{Code|code=
import LShapeRebar
import LShapeRebar

LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")
LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
12, 70, 6, True, 5, "Top Right")
}}


<div class="mw-translate-fuzzy">
{{docnav/ro
|[[Arch_Rebar_UShape/ro|UShape Rebar]]
|[[Arch_Rebar_BentShape/ro|Bent Shape Rebar]]
|[[Arch_Workbench/ro|Arch]]
|IconL=Arch_Rebar_UShape.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_BentShape.svg
}}
}}
</div>


[[Category:External_Command_Reference{{#translation:}}]]
{{clear}}
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:26, 18 March 2024

Arch Rebar LShape

poziția meniului
Arch → Rebar tools
Ateliere
Arch, BIM
scurtătură
nici unul
Prezentat în versiune
0.17
A se vedea, de asemenea,
Bent Rebar, Rebar

Descriere

Instrumentul LShape Rebar permite utilizatorului să creeze o armătură LShape reinforcing bar în elementele structurale.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Cum se folosește

  1. Create a structure element
  2. Select any face of the structure
  3. Then select LShape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like front cover, left side cover, right side cover, bottom cover, top cover, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Task panel for the tool

Proprietăți

  • DateOrientation: Stabilește orientarea armăturii (ca de ex jos, sus, dreapta și stânga).
  • DateFront Cover: Distanța dintre armături și fațetele selectate.
  • DateRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
  • DateLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
  • DateBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
  • DateTop Cover: Distanța dintre armătură și fața superioară a structurii.
  • DateRounding: o valoarea a racordării de aplicat la colțutile barelor , exprimată în raport cu diametrul acestora.
  • DateAmount: Cantitatea de armătură
  • DateSpacing: Distanța dintre acele fiecărei bare.

Scrip-Programare

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The LShape Rebar tool can by used in macros and from the python console by using the following function:

Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
                        structure=None, facename=None):
  • O armătură tip LShape Rebar are patru orientări diferite:
    • Bottom Right
    • Bottom Left
    • Top Right
    • Top Left
  • Adaugă obiectul LShape reinforcing bar la obiectul structural selectat.
  • Dacă nu este dată nici o Structură și nici o Facename, ea va avea ca intrare fațeta selectat de utilizator.
  • Aici argumentul CoverAlong este de tip tuplă.
  • Returnează noul obiect Rebar.

Example

import FreeCAD, Arch, LShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function:

editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created LShapeRebar object.
  • The other parameters are the same as required by the makeLShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import LShapeRebar

LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
                            12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
                            12, 70, 6, True, 5, "Top Right")